### Method

# Json Node set_object

#### Declaration [src]

    void
    json_node_set_object (
      JsonNode* node,
      JsonObject* object
    )

#### Description [src]

Sets `objects` inside `node`.

The reference count of `object` is increased.

If `object` is `NULL`, the node’s existing object is cleared.

It is an error to call this on an immutable node, or on a node which is not an object node.

#### Parameters

`object`

  Type: `JsonObject`

  A JSON object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.